.TH "pyspottedunipd.ngrams.ngram.Cup" 3 "Tue Apr 18 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.ngram.Cup \- 
.SH SYNOPSIS
.br
.PP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self)"
.br
.ti -1c
.RI "def \fBadd_next_word\fP (self, word)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBnext_word\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
A class defining a cup that will hold the words that we will pull out 
.fi
.PP
 
.PP
Definition at line 6 of file ngram\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.Cup\&.__init__ ( self)"

.PP
Definition at line 9 of file ngram\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.Cup\&.add_next_word ( self,  word)"

.PP
.nf
Used to add words to the cup and keep track of how many times we see it 
.fi
.PP
 
.PP
Definition at line 12 of file ngram\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.ngrams\&.ngram\&.Cup\&.next_word"

.PP
Definition at line 10 of file ngram\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
